%define upstream_name    Devel-Cover
%define upstream_version 1.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Code coverage metrics for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities) >= 3.690.0
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
# private module:
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Devel::Cover::Dumper\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::Cover::Dumper\\)$

%description
This module provides code coverage metrics for Perl. Code coverage metrics
describe how thoroughly tests exercise code. By using Devel::Cover you can find
areas of code not exercised by your tests and find out which tests to create to
increase coverage. Code coverage can be considered as an indirect measure of
quality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test || :

%install
%make_install

%files
%doc Changes LICENCE META.json META.yml MYMETA.yml
%{perl_vendorarch}/Devel
%{perl_vendorarch}/auto/Devel
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 tv <tv> 1.440.0-2.mga10
+ Revision: 2089041
- Rebuild for perl-5.40

* Tue Jun 18 2024 tv <tv> 1.440.0-1.mga10
+ Revision: 2074944
- update to 1.44

* Sun Apr 28 2024 tv <tv> 1.420.0-1.mga10
+ Revision: 2061455
- update to 1.42

* Thu Nov 30 2023 tv <tv> 1.400.0-2.mga10
+ Revision: 2011619
- Rebuild for perl-5.38

* Wed Aug 30 2023 tv <tv> 1.400.0-1.mga10
+ Revision: 1981071
- update to 1.40

* Tue Jun 07 2022 tv <tv> 1.380.0-1.mga9
+ Revision: 1863117
- update to 1.38

* Tue Jun 07 2022 umeabot <umeabot> 1.360.0-6.mga9
+ Revision: 1861779
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.360.0-5.mga9
+ Revision: 1795672
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.360.0-4.mga9
+ Revision: 1726550
- Rebuild for perl 5.34

* Fri Feb 19 2021 guillomovitch <guillomovitch> 1.360.0-3.mga8
+ Revision: 1675625
- rebuild against current perl version

* Wed Jun 17 2020 umeabot <umeabot> 1.360.0-2.mga8
+ Revision: 1594533
- Rebuild for perl 5.32

* Wed May 20 2020 tv <tv> 1.360.0-1.mga8
+ Revision: 1586300
- update to 1.36

* Mon May 18 2020 tv <tv> 1.350.0-1.mga8
+ Revision: 1585902
- update to 1.35

* Sat Feb 15 2020 umeabot <umeabot> 1.330.0-3.mga8
+ Revision: 1529009
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.330.0-2.mga8
+ Revision: 1432897
- rebuild with perl-5.30

* Sat Jun 29 2019 shlomif <shlomif> 1.330.0-1.mga8
+ Revision: 1415501
- update to 1.33

* Wed Oct 17 2018 shlomif <shlomif> 1.310.0-1.mga7
+ Revision: 1321449
- update to 1.31

* Fri Sep 21 2018 umeabot <umeabot> 1.300.0-3.mga7
+ Revision: 1292755
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.300.0-2.mga7
+ Revision: 1250301
- Rebuild for perl 5.28

* Wed Aug 01 2018 tv <tv> 1.300.0-1.mga7
+ Revision: 1246508
- update to 1.30

* Mon Oct 16 2017 tv <tv> 1.290.0-1.mga7
+ Revision: 1172256
- update to 1.29

* Sun Oct 08 2017 tv <tv> 1.280.0-1.mga7
+ Revision: 1170258
- update to 1.28

* Mon Oct 02 2017 tv <tv> 1.270.0-2.mga7
+ Revision: 1164055
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 tv <tv> 1.270.0-1.mga7
+ Revision: 1156527
- update to 1.27

* Fri Sep 15 2017 tv <tv> 1.260.0-1.mga7
+ Revision: 1154323
- new release

* Thu Aug 31 2017 pterjan <pterjan> 1.250.0-2.mga7
+ Revision: 1148938
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.250.0-1.mga7
+ Revision: 1128259
- New version 1.25
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Mon Jun 06 2016 shlomif <shlomif> 1.230.0-2.mga6
+ Revision: 1020317
- Rebuild to avoid warning due to perl upgrade

* Thu Apr 28 2016 shlomif <shlomif> 1.230.0-1.mga6
+ Revision: 1007488
- update to 1.23

* Fri Apr 15 2016 shlomif <shlomif> 1.220.0-1.mga6
+ Revision: 1001832
- update to 1.22

* Fri Feb 12 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 957143
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 884514
- update to 1.21

* Mon Jul 06 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 852081
- update to 1.20

* Fri Jun 26 2015 tv <tv> 1.180.0-2.mga6
+ Revision: 844850
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.180.0-1.mga6
+ Revision: 841281
- ignore testsuite faillure
- new release
- rebuild for perl-5.22

* Sun Oct 19 2014 umeabot <umeabot> 1.160.0-6.mga5
+ Revision: 789258
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.160.0-5.mga5
+ Revision: 745989
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.160.0-4.mga5
+ Revision: 733789
- fix excludes

* Wed Oct 01 2014 tv <tv> 1.160.0-3.mga5
+ Revision: 733765
- fix requires on private module

* Tue Sep 16 2014 umeabot <umeabot> 1.160.0-2.mga5
+ Revision: 684311
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.160.0-1.mga5
+ Revision: 664778
- update to 1.16

* Wed Jun 04 2014 sander85 <sander85> 1.150.0-1.mga5
+ Revision: 632912
- update to 1.15

* Tue Jun 03 2014 pterjan <pterjan> 1.140.0-2.mga5
+ Revision: 631056
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 1.140.0-1.mga5
+ Revision: 620588
- update to 1.14

* Tue Apr 15 2014 jquelin <jquelin> 1.110.0-1.mga5
+ Revision: 614727
- update to 1.11

* Mon Mar 17 2014 jquelin <jquelin> 1.90.0-1.mga5
+ Revision: 604347
- update to 1.09

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-2.mga4
+ Revision: 533093
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 1.80.0-1.mga4
+ Revision: 471586
- update to 1.08

* Thu Aug 22 2013 sander85 <sander85> 1.70.0-1.mga4
+ Revision: 469503
- update to 1.07

* Sun Jul 21 2013 sander85 <sander85> 1.60.0-1.mga4
+ Revision: 456909
- update to 1.06

* Fri Jun 07 2013 jquelin <jquelin> 1.40.0-1.mga4
+ Revision: 439062
- update to 1.04

* Thu May 30 2013 jquelin <jquelin> 1.30.0-1.mga4
+ Revision: 433075
- update to 1.03

* Sun Jan 13 2013 umeabot <umeabot> 0.990.0-2.mga3
+ Revision: 365713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.990.0-1.mga3
+ Revision: 342074
- update to 0.99

* Wed Nov 14 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 317658
- update to 0.97

* Wed Sep 26 2012 jquelin <jquelin> 0.960.0-1.mga3
+ Revision: 298002
- update to 0.96

* Fri Aug 31 2012 kharec <kharec> 0.930.0-1.mga3
+ Revision: 286063
- update to 0.93

* Mon Jun 18 2012 kharec <kharec> 0.890.0-1.mga3
+ Revision: 261565
- update to 0.89

* Sat Jun 09 2012 jquelin <jquelin> 0.880.0-1.mga3
+ Revision: 258862
- update to 0.88

* Wed May 30 2012 jquelin <jquelin> 0.870.0-1.mga3
+ Revision: 251664
- update to 0.87
- rebuild for perl 5.16

* Fri Jan 06 2012 guillomovitch <guillomovitch> 0.790.0-2.mga2
+ Revision: 192623
- rebuild for latest perl
+ jquelin <jquelin>
- update to 0.79

* Tue Jun 21 2011 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 111381
- update to 0.78

* Sat Jun 11 2011 sander85 <sander85> 0.760.0-2.mga2
+ Revision: 104190
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 0.760.0-1.mga1
+ Revision: 88513
- update to 0.76

* Mon Jan 24 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 36225
- mageia rebuild
- cleaning spec file
- imported package perl-Devel-Cover

